<div class="fieldset-legend">
    <p-accordion class="filter-accordion">
            <p-accordionTab header="Filter" [selected]="true">
                <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.datePO">Tanggal PO</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                dateFormat="dd-mm-yy" 
                                                [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                    dateFormat="dd-mm-yy" 
                                                    [showIcon]="true"></p-calendar>
                                            </div>
                                        </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.dateIVU">Tanggal IVU</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate3" name="input_dateCreate3"
                                                dateFormat="dd-mm-yy" 
                                                [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate4" name="input_dateCreate4"
                                                dateFormat="dd-mm-yy" 
                                                [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.leasing" for="field_dateCreate">Leasing</label>
                                    <!--p-dropdown class="form-select" [options]="leasings" [(ngModel)]="selectedLeasing" placeholder="Select Leasing" ></p-dropdown-->
                                    <select class="form-control" [(ngModel)]="selectedLeasing">
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="leasingCom.idPartyRole" *ngFor="let leasingCom of leasings; trackBy: trackleasingComById">{{leasingCom.partyName}}</option>
                                    </select>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_status_vso">Status</label>
                                <select class="form-control" id="field_status_vso" name="status" [(ngModel)]="selectedStatusVso">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="statusVso.value" *ngFor="let statusVso of statusVsoes; trackBy: trackStatusVsoById">{{statusVso.label}}</option>
                                </select>

                            </div>
                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter">
                            <span>Filter</span>
                        </button>
                    </div>      
            </p-accordionTab>
        </p-accordion>
        
        <button pButton type="submit"
        icon="fa-th-list"
        class="ui-button-primary btn-sm"
        (click)="buildReindex()"
        *jhiHasAnyAuthority="['ROLE_ADMIN']">
        </button>
        
        <div>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.vehicleSalesOrder.home.searchfinco' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>

        <p-dataTable
        [value]="vehicleSalesOrders"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idOrder"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)"
        [(selection)]="selected"
        class="width-filter">
        <p-header>
            <jhi-alert></jhi-alert>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
       
        <p-column header="{{'mpmApp.vehicleSalesOrder.noPOs'|translate}}" >
            <ng-template let-rowData="rowData" pTemplate="body">

                    <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                    </div>
                    <ng-template #templateOrderNumber>
                        {{rowData.orderNumber}}
                    </ng-template>
                    <ng-template #templateRequirementNumber>
                        {{rowData.salesUnitRequirement.requirementNumber}}
                    </ng-template>

            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.tglPO'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.dateOrder">
                    {{rowData.dateOrder|date:'dd-MMM-yyyy'}}
                </div>
            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.Finco'|translate}} " >
            
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.leasingName}}

            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.Nconsumen'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.customer.partyName}}

            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.Ar'|translate}}"  >

        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.NoIVU'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">

                    <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                    </div>
                    <ng-template #templateOrderNumber>
                        {{rowData.orderNumber}}
                    </ng-template>
                    <ng-template #templateRequirementNumber>
                        {{rowData.salesUnitRequirement.requirementNumber}}
                    </ng-template>

            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.TglIVU'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.dateOrder">
                    {{rowData.dateOrder|date:'dd-MMM-yyyy'}}
                </div>
            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.DBU'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
               
            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.KwTagihan'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
               
            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.GNN'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">

            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.CN'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- {{rowData.leasingName}} -->
                <!-- <div *ngIf="rowData.customerId">
                    {{rowData.customerName}}
                </div> -->
                <!-- <div *ngIf="rowData.afcVerifyValue==2">Not Approved</div>
                <div *ngIf="rowData.afcVerifyValue==1">Approved</div>
                <div *ngIf="rowData.afcVerifyValue==0">-</div> -->

                <!-- <container-element [ngSwitch] = "rowData.afcVerifyValue">
                        <div *ngSwitchCase = 1> Approve </div>
                        <div *ngSwitchCase = 2> Not Approve </div>
                        <div *ngSwitchCase = 0> - </div>
                    </container-element> -->
                <!-- <div *ngIf="rowData.afcVerifyValue==2">Not Approved</div> -->
            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.Lamp'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
                <container-element [ngSwitch] = "rowData.currentStatus">
                    <div *ngSwitchCase = 72> Approve </div>
                    <div *ngSwitchCase = 17> Approve </div>
                    <div *ngSwitchDefault> - </div>
                </container-element>

            </ng-template>
        </p-column>

        <p-column header="{{'mpmApp.vehicleSalesOrder.status'|translate}}"  >
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.salesUnitRequirement.unitHotItem===true; then templateHotItem; else templateNormal">
                </div>
                <ng-template #templateHotItem>
                    Hot Item
                </ng-template>
                <ng-template #templateNormal>
                    Biasa
                </ng-template>
            </ng-template>
        </p-column>


        <p-column header="{{'mpmApp.vehicleSalesOrder.Note'|translate}}"  [style]="{'width': '70px', 'text-align': 'center'}" >
            <ng-template let-rowData="rowData" pTemplate="body">
                    <container-element [ngSwitch] = "rowData.currentStatus">
                            <div *ngSwitchCase = 72> Approve </div>
                            <div *ngSwitchCase = 17> Approve </div>
                            <div *ngSwitchDefault> - </div>
                        </container-element>
                
            </ng-template>
        </p-column>

        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
        </p-column>

        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>

    </p-dataTable>

    <div class="btn-filter-wrapper pull-right">
        <button (click)="saveUploadFaktur()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
            <span>Cetak BAST</span>
        </button>
    </div>


    </p-tabPanel>
            
            
        </p-tabView>
    </div>
</div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>

<p-dialog [(visible)]="newTagihan" closable="true" responsive="true" width="480" modal="true">
<p-header>
    Update Tagihan Leasing
</p-header>

<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Nomor IVU</label>
    <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
        value="xxx-xxx-xxx" disabled />
</div>
<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Tanggal IVU</label>
    <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
        value="xxx-xxx-xxx" disabled />
</div>
<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Nilai IVU</label>
    <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
        value="xxx-xxx-xxx" disabled />
</div>
<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Nilai PO</label>
    <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
        value="xxx-xxx-xxx"/>
</div>
<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Tanggal PO</label>
    <div class="input-group input-calendar">
        <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
            dateFormat="dd-mm-yy" 
            [showIcon]="true"></p-calendar>
    </div>
</div>

<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Kelengkapan Dokumen</label>        
    <p-checkbox name="groupname1" value="val1" label="Dok. BAST Unit" class="form-checkbox"></p-checkbox>
    <p-checkbox name="groupname2" value="val2" label="Kuitansi Tagihan" class="form-checkbox"></p-checkbox>
    <p-checkbox name="groupname3" value="val3" label="Gesekan NOKA dan NOSIN" class="form-checkbox"></p-checkbox>
    <p-checkbox name="groupname4" value="val4" label="Lampiran foto serah terima" class="form-checkbox"></p-checkbox>
</div>

<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Cover Note</label>        
    <div class="alert alert-secondary" role="alert">
        Belum Dicetak
    </div>
    <button class="btn btn-primary">Cetak Cover Note</button>         
</div>

<p-footer>
    <button type="button" class="btn btn-primary" (click)="newTagihan = !newTagihan">
        <span class="fa fa-check"></span>&nbsp;<span>Submit</span>
    </button>
</p-footer>
</p-dialog>
<p-dialog [(visible)]="newPending" closable="true" responsive="true" width="480" modal="true">
<p-header>
    Konfirmasi Pending
</p-header>

<div class="form-group">
    <label class="form-control-label" for="field_vehicleNumber">Note</label>
    <textarea name="pending" class="form-control"></textarea>
</div>

<p-footer>
    <button type="button" class="btn btn-primary" (click)="newTagihan = !newTagihan">
        <span class="fa fa-check"></span>&nbsp;<span>Submit</span>
    </button>
</p-footer>
</p-dialog>